# $Revision: 1.11 $, $Date: 2007/02/12 22:09:25 $
Summary:	gccmakedep utility - create dependencies in makefiles using gcc
Summary(pl.UTF-8):	Narzędzie gccmakedep - tworzenie zależności w makefile'ach przy użyciu gcc
Name:		xorg-util-gccmakedep
Version:	1.0.2
Release:	1
License:	MIT
Group:		X11/Development/Tools
Source0:	http://xorg.freedesktop.org/releases/individual/util/gccmakedep-%{version}.tar.bz2
# Source0-md5:	b533c0771dbbaf9b041ff35bb941d3a2
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	xorg-util-util-macros >= 0.99.2
Requires:	gcc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The gccmakedep program calls 'gcc -M' to output makefile rules
describing the dependencies of each sourcefile, so that make knows
which object files must be recompiled when a dependency has changed.

%description -l pl.UTF-8
Program gccmakedep wywołuje 'gcc -M', aby uzyskać reguły do pliku
makefile opisujące zależności wszystkich plików źródłowych, dzięki
którym program make wie, które pliki wynikowe należy przekompilować w
przypadku zmiany zależnego pliku źródłowego.

%prep
%setup -q -n gccmakedep-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_bindir}/gccmakedep
%{_mandir}/man1/gccmakedep.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-util-gccmakedep.spec,v $
Revision 1.11  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.9  2006/12/24 11:08:07  qboosh
- desc from manual

Revision 1.8  2006/05/23 06:36:34  arekm
- up to 1.0.2

Revision 1.7  2006/05/14 17:11:09  arekm
- no more X11R7.0 in setup

Revision 1.6  2006/05/08 17:07:57  arekm
- update md5sum for individual files.

Revision 1.5  2006/05/08 17:00:03  arekm
- switch to individual files

Revision 1.4  2006/03/17 20:05:33  qboosh
- release 1

Revision 1.3  2005/12/22 11:21:51  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.2  2005/12/19 14:41:06  qboosh
- R: gcc not cpp

Revision 1.1  2005/12/19 14:40:14  qboosh
- new
